{
	"version": "2.0.0",
	"tasks": [
		{
			"type": "cargo",
			"command": "build",
			"problemMatcher": [
				"$rustc"
			],
			"group": "build",
			"label": "rust: cargo build"
		},
		{
			"type": "cargo",
			"command": "check",
			"problemMatcher": [
				"$rustc"
			],
			"group": "test",
			"label": "rust: cargo check"
		},
		{
			"type": "cargo",
			"command": "clean",
			"problemMatcher": [
				"$rustc"
			],
			"group": "none",
			"label": "rust: cargo clean"
		},
		{
			"type": "cargo",
			"command": "clippy",
			"problemMatcher": [
				"$rustc"
			],
			"group": "build",
			"label": "rust: cargo clippy"
		},
		{
			"type": "cargo",
			"command": "run",
			"problemMatcher": [
				"$rustc"
			],
			"label": "rust: cargo run"
		},
		{
			"type": "cargo",
			"command": "test",
			"problemMatcher": [
				"$rustc"
			],
			"group": "test",
			"label": "rust: cargo test"
		},
		{
			"type": "cargo",
			"command": "tarpaulin",
			"args": [
				"--ignore-tests",
				"--out",
				"Html"
			],
			"problemMatcher": [
				"$rustc"
			],
			"group": "test",
			"label": "rust: cargo tarpaulin"
		},
		{
			"type": "cargo",
			"command": "fmt",
			"args": [
				"--",
				"--check"
			],
			"problemMatcher": [
				"$rustc"
			],
			"group": "test",
			"label": "rust: cargo fmt"
		},
		{
			"type": "cargo",
			"command": "audit",
			"problemMatcher": [
				"$rustc"
			],
			"group": "test",
			"label": "rust: audit"
		},
		{
			"type": "cargo",
			"command": "doc",
			"args": [
				"--no-deps",
				"--open"
			],
			"problemMatcher": [
				"$rustc"
			],
			"group": "none",
			"label": "rust: doc"
		}

	]
}
